﻿<!--File Name: BoothMap.cshtml-->
<!--File Description: Creates the view for displaying the BoothMap page, which lists the links to each individual map.-->
<!--Set ViewData-->
@using CareerDayApp2._0.Models
@{
    ViewData["Title"] = "Booth Maps";
}

<div class="row center page-header">
    <div class="row">
        <div class="col-sm-12">
            <!--Display the title of the page-->
            <h2 style="text-align:center">@ViewData["Title"]</h2>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <p>*Use the links below to navigate to a map for each of the Career Day Venues*</p>
        </div>
    </div>
</div>

<div class="row white-background">
	@if (ViewBag.notTime)
	{
    <div class="col-sm-6 center">
        <h4>Career Day Venue Maps</h4>
        <!--Display each individual map name, each linking to the corresponding MapPage-->
        @foreach (Map map in ViewBag.maps)
		{
			if (map.isBoothMap)
			{
				if (map.smartMap != "")
				{
                    <a style="color: #D2492A" href="~/Home/SmartMap?fileName=@map.smartMap&name=@map.name&prefix=@map.prefix[0]">@map.name</a>
				}
				else
				{
                    <a style="color: #D2492A" href="~/images/Maps/@map.fileName" target="_blank">@map.name</a>
				}
                <br />
			}
		}
    </div>
	}
    <div class="col-sm-6 center">
        <h4>Mines Campus Maps</h4>
        <!--Display each individual map name, each linking to the corresponding MapPage-->
        @foreach (Map map in ViewBag.maps)
		{
			if (!map.isBoothMap)
			{
                <a style="color: #D2492A" href="~/images/Maps/@map.fileName" target="_blank">@map.name</a>
                <br />
			}
		}
    </div>
	@if (ViewBag.notTime)
	{
    <div class="col-sm-4 center" style="padding-top: 1%">
        <a href="~/Home/ResumeDrop" class=" btn btn-default" style="margin-bottom: 2%">Resume Drops</a>
    </div>
	}
</div> 